﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace ToggleButtons
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			ObservableCollection<DataItem> buttons = new ObservableCollection<DataItem>();
			for (int i = 0; i < 5; i++)
			{
				buttons.Add(new DataItem(String.Format("ToggleButton {0}", i)));
			}
			this.ToggleButtonsList.ItemsSource = buttons;
		}

		private void RadToggleButton_Checked(object sender, RoutedEventArgs e)
		{
			RadToggleButton btn = sender as RadToggleButton;
			if (btn == null)
				return;
			Panel container = btn.Parent as Panel;
			if (container == null)
				return;
			foreach (RadToggleButton item in container.Children)
			{
				if (item != btn && item.IsChecked == true)
					item.IsChecked = false;
			}
		}

	}

}
